﻿@using SharedCode.Localization
@model SharedCode.Identity.Models.IAppUserModel

@{
    ViewBag.Title = "Login";
}

<body>
    @using (Html.BeginForm(controllerName:AppStrings.LoginControllerName, actionName:AppStrings.LoginActionName, method:FormMethod.Post))
    {
        <div class="container login-container">
            <div class="row justify-content-center">
                <div class="col-md-6 login-form">
                    <h3>@LanguageStrings.LoginPageTitle</h3>
                    <form>
                        <div class="form-group">
                            @Html.TextBoxFor(m => m.Email, new { @class = "form-control", @placeholder = LanguageStrings.AppUserModelEmail })
                        </div>
                        <div class="form-group">
                            @Html.ValidationMessageFor(m => m.Email, String.Empty, new { @style = "color:maroon;!important", @id = "EmailValidationMessage"})
                        </div>
                        <div class="form-group">
                            @Html.PasswordFor(m => m.PasswordHash, new { @class = "form-control", @placeholder = LanguageStrings.AppUserModelPassword, @autocomplete = "off" })
                        </div>
                        <div class="form-group">
                            @Html.ValidationMessageFor(m => m.PasswordHash, String.Empty, new { @style = "color:maroon;!important", @id = "PasswordValidationMessage" })
                        </div>
                        <div class="form-group">
                            @if (TempData[AppStrings.ErrorMessageTag] != null)
                            {
                                <label style="color:maroon;" id="ErrorLabel"> @TempData[AppStrings.ErrorMessageTag] </label>
                            }
                        </div>
                        <div class="form-group">
                            <input type="submit" class="btnSubmit mr-1" value="@LanguageStrings.LoginButtonTitle" id="LoginSubbmitButton" />
                        </div>
                        <div class="card-footer bg-white">
                            <div class="d-flex justify-content-center links">
                                @LanguageStrings.DontHaveAccountQuestion
                                <a class="ml-2" 
                                   href="@Url.Action(controllerName:AppStrings.LoginControllerName, actionName:AppStrings.RegisterActionName)">
                                    @LanguageStrings.SignUpLink
                                </a>
                            </div>
                            <div class="d-flex justify-content-center">
                                <a href="@Url.Action(controllerName:AppStrings.LoginControllerName, actionName:AppStrings.ForgotPasswordActionName)">
                                    @LanguageStrings.ForgotPasswordLink
                                </a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    }
</body>
